<nz-modal [nzTitle]="data.id?'编辑接口':'新建接口'" [nzVisible]="isVisible"
    (nzOnCancel)="close()" [nzOkDisabled]="!data.method||!data.path||!data.perm_id" (nzOnOk)="onOk()">
    <ng-template nzModalContent>
        <div>
            <app-api-method-select [(value)]="data.method"></app-api-method-select>
        </div>
        <div style="margin-top: 5px;">
            <app-input label="路径" [(value)]="data.path" [block]="true"></app-input>
        </div>
        <div style="margin-top: 5px;">
            <app-permission-select [(value)]="data.perm_id"></app-permission-select>
        </div>
    </ng-template>
</nz-modal>